LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

LOCAL_MODULE    := ThruGlassXfer

LOCAL_C_INCLUDES += $(LOCAL_PATH)/zbar/include
LOCAL_C_INCLUDES += $(LOCAL_PATH)/zbar/zbar
LOCAL_C_INCLUDES += $(LOCAL_PATH)/lib 
LOCAL_C_INCLUDES += $(LOCAL_PATH)/include

LOCAL_SRC_FILES := 		 qrencode.c qrencode_inner.h \
						 qrinput.c qrinput.h \
						 bitstream.c bitstream.h \
						 qrspec.c qrspec.h \
						 rscode.c rscode.h \
						 split.c split.h \
						 mask.c mask.h \
						 mqrspec.c mqrspec.h \
						 mmask.c mmask.h \
						 rsecc.c rsecc.h \
						 tgxf-transmit-pull.c tgxf-transmit-pull.h \
						 tgxf-receive.c tgxf-receive.h ThruGlassXfer.c


LOCAL_SRC_FILES += 		 zbarjni.c \
		   zbar/zbar/img_scanner.c \
		   zbar/zbar/decoder.c \
		   zbar/zbar/image.c \
		   zbar/zbar/symbol.c \
		   zbar/zbar/convert.c \
		   zbar/zbar/config.c \
		   zbar/zbar/scanner.c \
		   zbar/zbar/error.c \
		   zbar/zbar/refcnt.c \
		   zbar/zbar/video.c \
		   zbar/zbar/video/null.c \
		   zbar/zbar/decoder/code128.c \
		   zbar/zbar/decoder/code39.c \
		   zbar/zbar/decoder/code93.c \
		   zbar/zbar/decoder/codabar.c \
		   zbar/zbar/decoder/databar.c \
		   zbar/zbar/decoder/ean.c \
		   zbar/zbar/decoder/i25.c \
		   zbar/zbar/decoder/qr_finder.c \
		   zbar/zbar/qrcode/bch15_5.c \
		   zbar/zbar/qrcode/binarize.c \
		   zbar/zbar/qrcode/isaac.c \
		   zbar/zbar/qrcode/qrdec.c \
		   zbar/zbar/qrcode/qrdectxt.c \
		   zbar/zbar/qrcode/rs.c \
		   zbar/zbar/qrcode/util.c

LOCAL_CFLAGS    += \
    -I/Users/jameshudson/libiconv-1.13.1/include/ \
    -I/Users/jameshudson/libiconv-1.13.1/lib/ \
    -I/Users/jameshudson/libiconv-1.13.1

LOCAL_SHARED_LIBRARIES := libiconv	



include $(BUILD_SHARED_LIBRARY)


# libiconv
include $(CLEAR_VARS) 
 
LOCAL_MODULE    := libiconv 
 
LOCAL_CFLAGS    := -Wno-multichar \
    -D_ANDROID \
    -DLIBDIR="c" \
    -DBUILDING_LIBICONV \
    -DIN_LIBRARY \
    -I/Users/jameshudson/libiconv-1.13.1/include/ \
    -I/Users/jameshudson/libiconv-1.13.1/lib/ \
    -I/Users/jameshudson/libiconv-1.13.1/ \
    -I/Users/jameshudson/libiconv-1.13.1/libcharset/include
 
LOCAL_SRC_FILES := \
     /Users/jameshudson/libiconv-1.13.1/lib/iconv.c \
     /Users/jameshudson/libiconv-1.13.1/libcharset/lib/localcharset.c \
     /Users/jameshudson/libiconv-1.13.1/lib/relocatable.c 
      
include $(BUILD_SHARED_LIBRARY) 
 
LOCAL_LDLIBS    := -llog



include $(CLEAR_VARS)

LOCAL_MODULE    := zbarjni
LOCAL_C_INCLUDES += $(LOCAL_PATH)/zbar/include
LOCAL_C_INCLUDES += $(LOCAL_PATH)/zbar/zbar
LOCAL_C_INCLUDES += $(LOCAL_PATH)/lib 
LOCAL_C_INCLUDES += $(LOCAL_PATH)/include
LOCAL_SRC_FILES := 		 zbarjni.c \
		   zbar/zbar/img_scanner.c \
		   zbar/zbar/decoder.c \
		   zbar/zbar/image.c \
		   zbar/zbar/symbol.c \
		   zbar/zbar/convert.c \
		   zbar/zbar/config.c \
		   zbar/zbar/scanner.c \
		   zbar/zbar/error.c \
		   zbar/zbar/refcnt.c \
		   zbar/zbar/video.c \
		   zbar/zbar/video/null.c \
		   zbar/zbar/decoder/code128.c \
		   zbar/zbar/decoder/code39.c \
		   zbar/zbar/decoder/code93.c \
		   zbar/zbar/decoder/codabar.c \
		   zbar/zbar/decoder/databar.c \
		   zbar/zbar/decoder/ean.c \
		   zbar/zbar/decoder/i25.c \
		   zbar/zbar/decoder/qr_finder.c \
		   zbar/zbar/qrcode/bch15_5.c \
		   zbar/zbar/qrcode/binarize.c \
		   zbar/zbar/qrcode/isaac.c \
		   zbar/zbar/qrcode/qrdec.c \
		   zbar/zbar/qrcode/qrdectxt.c \
		   zbar/zbar/qrcode/rs.c \
		   zbar/zbar/qrcode/util.c

LOCAL_CFLAGS    += \
    -I/Users/jameshudson/libiconv-1.13.1/include/ \
    -I/Users/jameshudson/libiconv-1.13.1/lib/ \
    -I/Users/jameshudson/libiconv-1.13.1

LOCAL_SHARED_LIBRARIES := libiconv								

include $(BUILD_SHARED_LIBRARY)

# Add prebuilt libiconv
#include $(CLEAR_VARS)

#LOCAL_MODULE := libiconv
#LOCAL_SRC_FILES := libiconv.so

#include $(PREBUILT_SHARED_LIBRARY)


# Add prebuilt libzbarjni
#include $(CLEAR_VARS)

#LOCAL_MODULE := libzbarjni
#LOCAL_SRC_FILES := libzbarjni.so

#include $(PREBUILT_SHARED_LIBRARY)
